Jump to content
Not connected, Your IP: 3.236.50.173
Staff

Eddie 2.9 available

Recommended Posts

Hello!

 

We're very glad to inform you that a new Eddie Air client version has been released: 2.9.

 

2.9 version is compatible with several Linux distributions. For very important notes about environments, please read here: https://airvpn.org/forum/35-client-software-platforms-environments

 

Eddie 2.9 includes bug fixes and changes meeting users' requests and preferences. It includes additional options for Network Lock to enable communications inside LAN and to allow ICMP, a new, reliable method to check DNS, an option for Windows and OS X to disable IPv6, connection to authentication servers via IP addresses instead of names and much more.

 

Please read the changelog: https://airvpn.org/services/changelog.php?software=client&format=html

 

Upgrade is strongly recommended.

 

Just like previous version 2.8, Eddie implements direct Tor support for OpenVPN over Tor connections. Eddie makes OpenVPN over Tor easily available to Linux and OS X users: no needs for Virtual Machines, middle boxes or other special configurations. Windows users will find a more friendly approach as well. This mode is not handled anymore as a generic connection to a socks proxy, but it is specifically designed for Tor and therefore solves multiple issues, especially in Linux and OS X, including the "infinite routing loop" problem (see for example http://tor.stackexchange.com/questions/1232/me-tor-vpn-how/1235#1235 )

 

As far as we know, Eddie is the first and currently the only OpenVPN wrapper that natively allows OpenVPN over Tor connections for multiple Operating Systems. https://airvpn.org/tor

 

We recommend that you upgrade Eddie as soon as possible.

 

Eddie 2.9 for Linux can be downloaded here: https://airvpn.org/linux

Eddie 2.9 for Windows can be downloaded here: https://airvpn.org/windows

Eddie 2.9 for OS X Mavericks and Yosemite only can be downloaded here: https://airvpn.org/macosx

 

PLEASE NOTE: Eddie 2.9 package includes an OpenVPN version re-compiled by us with OpenSSL 1.0.1k for security reasons and to fix this bug: https://community.openvpn.net/openvpn/ticket/328

 

Eddie overview is available here: https://airvpn.org/software

Eddie includes a Network Lock feature: https://airvpn.org/faq/software_lock

Eddie 2.9 is free and open source software released under GPLv3. GitHub repository https://github.com/AirVPN/airvpn-client

 

 

Kind regards & datalove

AirVPN Staff

Share this post


Link to post

Nice, I notice a performance increase in a speedtest of about 10% :)

 

Good! That could be due to the new tun/tap driver for Windows, do you run Windows?

 

Kind regards

Share this post


Link to post

 

Nice, I notice a performance increase in a speedtest of about 10%

 

Good! That could be due to the new tun/tap driver for Windows, do you run Windows?

 

Kind regards

 

Yes, running windows 8.1 x64

Share this post


Link to post

After downloading 2.9, I get abmyssal speeds if Deluge is active.
And Deluge is getting only 30-50 kBps and renders anything internet-related useless.

Other then that, I guess I don't dislike it. But I'm not an advanced user, so  I can only talk as a rookie.

Share this post


Link to post

Hi, could you please expand on "options for Network Lock to enable communications inside LAN"?

I had to devise a new workflow in order to keep the functionality of Network lock but not lose file and printer sharing over LAN (and also the capability of keeping the exceptions added to the firewall policy when using the VPN, see here: https://airvpn.org/topic/13957-eddie-29-experimental-available/?p=27680).

Share this post


Link to post

Hello,

 

I try to run Eddie 2.9 (Linux Portable 64-bit) on Linux Mint Debian Edition 2 "Betsy" (Debian Jessie based distro) and I get this error when I try to connect to Air-servers:

 

"Could not find a part of the path "/proc/sys/net/ipv6/conf/all/disable_ipv6"

 

I tried both - IPv6: None/Disable in Advanced settings of Eddie 2.9 but I got this error in both cases.

 

Btw, I already have IPv6 disabled in my System. It looks like Eddie 2.9 is trying to disable IPv6 even it is already disabled in my system. I think Eddie should check if IPv6 is available in the system in the first place before trying to disable it.

 

Eddie 2.8 worked well with IPv6 disabled on my system.

Share this post


Link to post

"That could be due to the new tun/tap driver for Windows, do you run Windows?"

---

I was wondering when you guys were gonna get around to bundling a current version (that has some needed fixes) of that.  Thanks! Looking forward to trying it out.

 

 

Edit: tried it out.

 

winsrv2k8 r2 x64 hyper-v vm

 

Did speed tests before and after the install.

Absolutely horrible performance with 2.9 and tap 9.0.21 - 1/3rd my usual 20\40mb over udp 80, was maxing out at 4/11via speedtest.net, even worse p2p performance, just trickling.  For kicks I tried over udp 443, equally horrible perf.

 

Rolled back to 2.8 and the old 9.9.2 tap and everything returned to normal getting 20/40 again.

As much as have been waiting for the supposed improvements in tap 9.0.21, it appears to be a serious perf regression, at least for me.  Anyone else seen this or have a suggestion or know the cause?

 

Btw, I already have IPv6 disabled in my System. It looks like Eddie 2.9 is trying to disable IPv6 even it is already disabled in my system. I think Eddie should check if IPv6 is available in the system in the first place before trying to disable it.

Yeah I noticed that too (I too have it already disabled), and it's the default, I suggest making -none- the default.  First do no harm (ie don't default to making a change).

 

@iamhidden

 

Are you on windows 7\Srv2k8?  (wondering if you're seeing the same thing I was)

Share this post


Link to post

 


Hello,

 

I try to run Eddie 2.9 (Linux Portable 64-bit) on Linux Mint Debian Edition 2 "Betsy" (Debian Jessie based distro) and I get this error when I try to connect to Air-servers:

 

"Could not find a part of the path "/proc/sys/net/ipv6/conf/all/disable_ipv6"

 

I tried both - IPv6: None/Disable in Advanced settings of Eddie 2.9 but I got this error in both cases.

 

Btw, I already have IPv6 disabled in my System. It looks like Eddie 2.9 is trying to disable IPv6 even it is already disabled in my system. I think Eddie should check if IPv6 is available in the system in the first place before trying to disable it.

 

Eddie 2.8 worked well with IPv6 disabled on my system.

 

Hi,

 

​I can talk to this briefly. The same error message is found in OpenSUSE 13.2 32bit when IPv6 is disabled system wide e.g. net.ipv6.conf.all.disable_ipv6 = 1, particularly if the GRUB file configuration is changed with this variable. I had to disable this setting, and trust Eddie to block ipv6 traffic to get it working.

​This problem was NOT found in Linux Mint 17.1 32 bit edition i.e. turning off ipv6 by editing the systcl.conf file worked just fine i.e. Eddie didn't generate the same error message.

To test for IPv6 status in Linux:

 

​1) Run terminal

​2)  $ sudo ipconfig

{note if there is a ipv6 net address or not}; or

$ cat /proc/sys/net/ipv6/conf/all/disable_ipv6

{1= ipv6 turned off, 0 = enabled}

To TURN OFF system-wide:

​Mint/Ubuntu/LMDE

1) Edit the file - /etc/sysctl.conf

​2) $ sudo gedit /etc/sysctl.conf

​3) Add the following lines to that file

​# IPv6 disabled
net.ipv6.conf.all.disable_ipv6 = 1
net.ipv6.conf.default.disable_ipv6 = 1
net.ipv6.conf.lo.disable_ipv6 = 1

​4) Save the file and close it

​5) $ sudo sysctl -p {restart sysctl}

​6) ifconfig should now show no ipv6 addresses.

If that doesn't work, edit the GRUB file and edit as follows:

 

$ sudo gedit /etc/default/grub

​Find the GRUB_CMDLINE_LINUX line and edit:

​GRUB_CMDLINE_LINUX="ipv6.disable=1"

​$ sudo update-grub2

​Reboot. ipv6 should now be disabled and Eddie should be working fine.

EDDIE COMMENTS

​- Nice improvements

​- Appears to have a slight improvement in speed over earlier editions

​- Password should not be stored in plaintext in XML file when using the 'remember password' option. Urgent patch is required to use O/S resources (OS/X, Linux, Windows) to properly disguise it/encrypt it etc and hide from all users with access to the system.

​- Occasional drop outs in Mint, but generally stable.

​- Occasional 'native memory' errors when establishing setup temporary files upon client launch, but manages to connect

​- Not clear what the difference is between 'none' and 'disabled' for IPv6 options in client

​Thank you for all your work AirVPN team! Love your work!

Share this post


Link to post

The new Version keeps disconnecting for me on Windows 8.1 x64 so I have rolled back to the previous version.

Share this post


Link to post

​Hi,

 

​ I can talk to this briefly. The same error message is found in OpenSUSE 13.2 32bit when IPv6 is disabled system wide e.g. net.ipv6.conf.all.disable_ipv6 = 1, particularly if the GRUB file configuration is changed with this variable. I had to disable this setting, and trust Eddie to block ipv6 traffic to get it working.

 

Yes, I know how to disable ipv6 system-wide. I did disable it long time ago because I didn't want it to be enabled system-wide permanently - with/without AirVPN running and I want it to keep that way. Now new Eddie 2.9 doesn't working even if I choose in its settings "ipv6 - none" - which, I suppose, should force Eddie not to try to disable ipv6, BUT it still looks for ipv6 and shows this error "Could not find a part of the path "/proc/sys/net/ipv6/conf/all/disable_ipv6". In this case it looks like incorrect behaviour. I think Eddie should check if ipv6 is enabled/disabled in the frist place before trying to disable it himself or Eddie should do nothing with ipv6 at all if I choose in its settings not to disable ipv6 - "IPv6: None".

 

For now I have to keep using Eddie 2.8 - because I want to keep IPv6 disabled system-wide all the time no matter if AirVPN running or not.

 

 

​ This problem was NOT found in Linux Mint 17.1 32 bit edition i.e. turning off ipv6 by editing the systcl.conf file worked just fine i.e. Eddie didn't generate the same error message.

​​

 

I cannot tell about Linux Mint 17.1 - it is Ubuntu based. I use LMDE2 - which is Debian Jessie based.

Share this post


Link to post

​I had to disable this setting, and trust Eddie to block ipv6 traffic to get it working.

 

 

 

Hello!

 

Important: please note that under Linux Eddie can't disable IPv6 (it can do that only in WIndows and OS X). If you activate "Network Lock" Eddie will set ip6tables to block outgoing IPv6 packets. This thread is followed by Eddie developer, so the bug(s) you've found are being noticed.

 

Kind regards

Share this post


Link to post
Guest Chaf

I have a strange behaviour, all the controls are greyed out and I can't exit the client neither can I redice the window...never happened to me with Eddie.

 

bwqis.png

Share this post


Link to post
Guest Chaf

No speed issues on Ubuntu 14.04.2 LTS.

 

Make sure you have setup the client to connect using UDP in the preferences, maybe your settings have been remove when updating to the latest client.

Share this post


Link to post

 

my bad, working now

?

 

If this is still the old "experimental" version I still have these problems:

https://airvpn.org/topic/13005-eddie-experimental-28rc1-problems/?p=27248

 

edit:

just tested: problems still exists. Seems that nobody cares here

I will open up support tickets fo every single issue.

(personal reason, solved ;p). Eddy 2.9.2 no issue here, even feel more "faster" on windows

Share this post


Link to post

Hello,

 

I try to run Eddie 2.9 (Linux Portable 64-bit) on Linux Mint Debian Edition 2 "Betsy" (Debian Jessie based distro) and I get this error when I try to connect to Air-servers:

 

"Could not find a part of the path "/proc/sys/net/ipv6/conf/all/disable_ipv6"

 

I tried both - IPv6: None/Disable in Advanced settings of Eddie 2.9 but I got this error in both cases.

 

Btw, I already have IPv6 disabled in my System. It looks like Eddie 2.9 is trying to disable IPv6 even it is already disabled in my system. I think Eddie should check if IPv6 is available in the system in the first place before trying to disable it.

 

Eddie 2.8 worked well with IPv6 disabled on my system.

 

Just want to report that I have the same problem on Arch Linux. IPv6 disabled with kernel parameter: ipv6.disable=1.

Share this post


Link to post

Thank you for adding the 'Remove the default gateway route' option. 

 

In combination with the DNS setting, does this negate the need for network lock with specific firewall setups, if using the airvpn client?

 

If so, it may be worth adding this to the FAQ or how-to somewhere, as there are still many posts on the forum for setting rules with different firewalls.

 

Please can you also confirm that if the connection to the server disconnects unintentionally, that the default gateway and DNS setting would NOT be reset as it does when purposefully disconnecting from the server.

 

Thank you

Share this post


Link to post

Hello!

 

IPv6 detection bug with error "Could not find a part of the path "/proc/sys/net/ipv6/conf/all/disable_ipv6" on some distributions will be fixed in version 2.10.

 

 

​ 

EDDIE COMMENTS


​- Occasional drop outs in Mint, but generally stable.

 

Can you please elaborate?

 

 

​- Occasional 'native memory' errors when establishing setup temporary files upon client launch, but manages to connect

 

Can you show the logs about that and/or elaborate?

 

 

​- Not clear what the difference is between 'none' and 'disabled' for IPv6 options in client

 

Eddie for Linux can't disable IPv6. With "None" option it will not show the warning message. Eddie will set "None" in "IPv6" combo box after it has displayed the warning message.

 

 

​Thank you for all your work AirVPN team! Love your work! :asd:

 

Thank you!

 

Kind regards

Share this post


Link to post

I have a strange behaviour, all the controls are greyed out and I can't exit the client neither can I redice the window...never happened to me with Eddie.

 

bwqis.png

 

Hello!

 

It's a bug (or more than one bug) in Mono. In the future, Eddie developer will consider to drop Mono and develop a GTK version. However at the moment this is not planned, we'll need a specific resource allocation for this task.

 

Kind regards

Share this post


Link to post

Why is the changelog from avril?

 

Hello!

 

Because that's the date of the last changes, bugfixes and addition of new features. In April Eddie 2.9.2 Experimental exited the alpha testing and entered the beta testing. A few days ago beta testing was closed and Eddie 2.9.2 Experimental was promoted to stable.

 

Kind regards

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...